Last Comment Bug 972140 - Australis pinned tabs break toolbar interface at small window sizes
: Australis pinned tabs break toolbar interface at small window sizes
Status: VERIFIED FIXED
[Australis:P3-]
:
Product: Firefox
Classification: Client Software
Component: Toolbars and Customization (show other bugs)
: Trunk
: All All
-- normal (vote)
: Firefox 30
Assigned To: :Gijs
: Cornel Ionce [QA] (:cornel_ionce)
: :Gijs
Mentors:
Depends on:
Blocks: australis
  Show dependency treegraph
 
Reported: 2014-02-12 18:22 PST by Jennifer Morrow [:Boriss] (UX)
Modified: 2014-03-14 04:39 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified
verified


Attachments
Screenshot: Small window with pinned tabs showing interface errors (349.42 KB, image/png)
2014-02-12 18:22 PST, Jennifer Morrow [:Boriss] (UX)
no flags Details
Button mess (18.81 KB, image/png)
2014-02-14 14:30 PST, Justin Dolske [:Dolske]
no flags Details
fix tabbrowser-tabs min-height for Australis so it doesn't get squashed when the non-abs-pos bits have 0 width, (1.14 KB, patch)
2014-03-03 07:02 PST, :Gijs
mconley: review+
sledru: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description User image Jennifer Morrow [:Boriss] (UX) 2014-02-12 18:22:45 PST
Created attachment 8375252 [details]
Screenshot: Small window with pinned tabs showing interface errors

When multiple pinned tabs are present in an OSX Australis window, visual clipping and artifacts appear in the toolbar UI.  

There's three separate points of interface fail (see attached):

a. Misaligned pinned tab
b. Overlap of fullsize and new tab button
C. Misaligned favicons

Steps to reproduce:

1. On OSX, create at least 5 pinned tabs in one window
2. Reduce the window size
Comment 1 User image Dão Gottwald [:dao] 2014-02-13 04:07:21 PST
Is this even an Australis regression?
Comment 2 User image :Gijs 2014-02-13 04:51:22 PST
(In reply to Dão Gottwald [:dao] from comment #1)
> Is this even an Australis regression?

At least on OS X it is, apart from the weird overflow UI which all overlaps, even on holly. Everything else is tabsintitlebar related. Considering we used to only do this in maximized mode on Windows, it would have been a lot harder to hit there. Don't know if (parts of) this bug even reproduce(s) on Windows in the first place.
Comment 3 User image Justin Dolske [:Dolske] 2014-02-14 14:30:22 PST
Created attachment 8376532 [details]
Button mess

I can't reproduce the  tab/icon problem in the screenshot ("a" and "c").

But I do get the New Tab and All Tabs buttons sliding over the next/previous tab overflow arrows, and if the window gets a bit smaller still the Fullscreen window button with slide over that mess as well.
Comment 4 User image Justin Dolske [:Dolske] 2014-02-14 14:32:48 PST
Calling this P3- because while breaking primary UI is terrible, it's OS X only (?) and I'd tend to think that people will keep windows with pinned tabs fairly large (as opposed to a problem with popup windows, which tend to be small).
Comment 5 User image :Gijs 2014-03-03 07:00:48 PST
This reproduces on WinXP in Australis. Fixing (a) and (c) is not hard, patch coming up presto. I think (b) is pre-Australis, and once we fix (a) and (c) that can be lower priority.
Comment 6 User image :Gijs 2014-03-03 07:02:04 PST
Created attachment 8384590 [details] [diff] [review]
fix tabbrowser-tabs min-height for Australis so it doesn't get squashed when the non-abs-pos bits have 0 width,
Comment 7 User image Mike Conley (:mconley) 2014-03-03 07:04:32 PST
Comment on attachment 8384590 [details] [diff] [review]
fix tabbrowser-tabs min-height for Australis so it doesn't get squashed when the non-abs-pos bits have 0 width,

Review of attachment 8384590 [details] [diff] [review]:
-----------------------------------------------------------------

Makes sense to me. Thanks Gijs!
Comment 9 User image :Gijs 2014-03-03 09:30:32 PST
Filed bug 978835 for (b), so we can close this when the fix merges, uplifts etc.
Comment 10 User image Ryan VanderMeulen [:RyanVM] 2014-03-03 14:23:29 PST
https://hg.mozilla.org/mozilla-central/rev/9a9f7dd350aa
Comment 11 User image :Gijs 2014-03-04 14:17:27 PST
Comment on attachment 8384590 [details] [diff] [review]
fix tabbrowser-tabs min-height for Australis so it doesn't get squashed when the non-abs-pos bits have 0 width,

[Approval Request Comment]
Bug caused by (feature/regressing bug #): Australis
User impact if declined: window goes wonky when small and only a few pinned tabs are left
Testing completed (on m-c, etc.): on m-c, local
Risk to taking this patch (and alternatives if risky): very low - localized change that changes tabstrip height to match tabs
String or IDL/UUID changes made by this patch: none
Comment 13 User image Cornel Ionce [QA] (:cornel_ionce) 2014-03-14 04:39:43 PDT
Verified that first issue is no longer reproducing on Windows 7 64 bit, Mac OS X 10.9 and Ubuntu 12.04 using:
- latest Nightly (build ID: 20140313030202).
- latest Aurora (build ID: 20140313004000).

Marking verified as bug 978835 was filled for the remaining issue.

Note You need to log in before you can comment on or make changes to this bug.